Update a webhook endpoint
curl --request PATCH \
--url https://api.myladder.africa/partner/v1/webhooks/{endpoint_id} \
--header 'Content-Type: application/json' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [],
"enabled": true
}
'import requests
url = "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}"
payload = {
"url": "<string>",
"description": "<string>",
"events": [],
"enabled": True
}
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>', description: '<string>', events: [], enabled: true})
};
fetch('https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'description' => '<string>',
'events' => [
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"events": [
"wallet.funded"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Webhooks
Update a webhook endpoint
PATCH
/
partner
/
v1
/
webhooks
/
{endpoint_id}
Update a webhook endpoint
curl --request PATCH \
--url https://api.myladder.africa/partner/v1/webhooks/{endpoint_id} \
--header 'Content-Type: application/json' \
--header 'X-Ladder-Key: <api-key>' \
--header 'X-Ladder-Signature: <api-key>' \
--header 'X-Ladder-Timestamp: <api-key>' \
--data '
{
"url": "<string>",
"description": "<string>",
"events": [],
"enabled": true
}
'import requests
url = "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}"
payload = {
"url": "<string>",
"description": "<string>",
"events": [],
"enabled": True
}
headers = {
"X-Ladder-Key": "<api-key>",
"X-Ladder-Timestamp": "<api-key>",
"X-Ladder-Signature": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-Ladder-Key': '<api-key>',
'X-Ladder-Timestamp': '<api-key>',
'X-Ladder-Signature': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>', description: '<string>', events: [], enabled: true})
};
fetch('https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'description' => '<string>',
'events' => [
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Ladder-Key: <api-key>",
"X-Ladder-Signature: <api-key>",
"X-Ladder-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-Ladder-Key", "<api-key>")
req.Header.Add("X-Ladder-Timestamp", "<api-key>")
req.Header.Add("X-Ladder-Signature", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}")
.header("X-Ladder-Key", "<api-key>")
.header("X-Ladder-Timestamp", "<api-key>")
.header("X-Ladder-Signature", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.myladder.africa/partner/v1/webhooks/{endpoint_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-Ladder-Key"] = '<api-key>'
request["X-Ladder-Timestamp"] = '<api-key>'
request["X-Ladder-Signature"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"description\": \"<string>\",\n \"events\": [],\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"data": {
"url": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"events": [
"wallet.funded"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Your key id: pk_test_… (sandbox) or pk_live_… (live).
Unix seconds, as a string; must be within 5 minutes of server time.
Lower-case hex HMAC-SHA512 over timestamp, method, path+query and the SHA-256 of the body. See Authentication.
Path Parameters
Body
application/json
Required string length:
1 - 500Maximum string length:
255Available options:
wallet.funded, funding.failed, funding.expired, mandate.activated, mandate.revoked, order.created, order.processing, order.completed, order.failed, order.cancelled, holding.matured, kyb.status_changed Response
Show child attributes
Show child attributes